/*
  
*/

//#include <GDBStub.h>

#define GPIO0 0
#define TX 1
#define GPIO2 2
#define RX 3
#define DELAY 1500

struct onoff {
  int id ;
  char name[6] ;
  int on ;
  int off ;
}  ;

struct onoff pins[4] = {
  { GPIO0, "GPIO0", LOW, HIGH },
  { TX, "TX", LOW, HIGH },
  { GPIO2, "GPIO2", LOW, HIGH },
  { RX, "RX", LOW, HIGH }
} ;

int n_active = 4 ;
int have_serial = (n_active < 3 ? true : false) ;
//int have_serial = 0 ;


void setup() {
  int i ;
  for ( i=0 ; i < n_active ; i++ ) {
    pinMode(pins[i].id, OUTPUT);
    digitalWrite(pins[i].id, pins[i].off );
  }
  delay(DELAY) ;
  if ( have_serial )
    Serial.begin(115200);
//  gdbstub_init();
}

// the loop function runs over and over again forever
void loop() {
  int i ;
  for ( i=0 ; i < n_active ; i++ ) {
    digitalWrite(pins[i].id, pins[i].on );
    if ( have_serial )
      Serial.printf("%s on\n", pins[i].name );
    delay(DELAY);
  }
  
  for ( i=0 ; i < n_active ; i++ ) {
    digitalWrite(pins[i].id, pins[i].off );
    if ( have_serial )
      Serial.printf("%s off\n", pins[i].name );
    delay(DELAY);
  }
}
